Settings 7 endpoints

DELETE /crm/v3/extensions/calling/{appId}/settings

Deletes this calling extension. This will remove your service as an option for all connected accounts.

operationId: Settings_deleteCallingExtension

Parameters

Name In Required Type Description
appId path required integer

The ID of the target app.

Responses

default
204

No content

DELETE /crm/v3/extensions/calling/{appId}/settings
GET /crm/v3/extensions/calling/{appId}/settings

Returns the calling extension settings configured for your app.

operationId: Settings_getCallingConfig

Parameters

Name In Required Type Description
appId path required integer

The ID of the target app.

Responses

default
200

successful operation

GET /crm/v3/extensions/calling/{appId}/settings
PATCH /crm/v3/extensions/calling/{appId}/settings

Updates existing calling extension settings.

operationId: Settings_updateCallingExtension

Parameters

Name In Required Type Description
appId path required integer

The ID of the target app.

Request Body

required

Updated details for the settings.

application/json
schema SettingsPatchRequest
Property Type Required
url string optional
name string optional
width integer optional
height integer optional
isReady boolean optional
supportsCustomObjects boolean optional

Responses

default
200

successful operation

PATCH /crm/v3/extensions/calling/{appId}/settings
POST /crm/v3/extensions/calling/{appId}/settings

Used to set the menu label, target iframe URL, and dimensions for your calling extension.

operationId: Settings_configureCallingExtension

Parameters

Name In Required Type Description
appId path required integer

The ID of the target app.

Request Body

required

Settings state to create with.

application/json
schema SettingsRequest
Property Type Required
url string required
name string required
width integer optional
height integer optional
isReady boolean optional
supportsCustomObjects boolean optional

Responses

default
200

successful operation

POST /crm/v3/extensions/calling/{appId}/settings
DELETE /crm/v3/extensions/videoconferencing/settings/{appId}

Deletes the settings for a video conference application with the specified ID.

operationId: Settings_deleteVideoConferencingAppSettings

Parameters

Name In Required Type Description
appId path required integer

The ID of the video conference application. This is the identifier of the application created in your HubSpot developer portal.

Responses

default
204

No content

DELETE /crm/v3/extensions/videoconferencing/settings/{appId}
GET /crm/v3/extensions/videoconferencing/settings/{appId}

Return the settings for a video conference application with the specified ID.

operationId: Settings_getById

Parameters

Name In Required Type Description
appId path required integer

The ID of the video conference application. This is the identifier of the application created in your HubSpot developer portal.

Responses

default
200

successful operation

GET /crm/v3/extensions/videoconferencing/settings/{appId}
PUT /crm/v3/extensions/videoconferencing/settings/{appId}

Updates the settings for a video conference application with the specified ID.

operationId: Settings_updateVideoConferencingAppSettings

Parameters

Name In Required Type Description
appId path required integer

The ID of the video conference application. This is the identifier of the application created in your HubSpot developer portal.

Request Body

required
application/json
schema ExternalSettings
Property Type Required
userVerifyUrl string optional
createMeetingUrl string required
deleteMeetingUrl string optional
fetchAccountsUri string optional
updateMeetingUrl string optional

Responses

default
200

successful operation

PUT /crm/v3/extensions/videoconferencing/settings/{appId}

Templates 5 endpoints

GET /crm/v3/timeline/{appId}/event-templates

Use this to list all event templates owned by your app.

operationId: Templates_listEventTemplates

Parameters

Name In Required Type Description
appId path required integer

The ID of the target app.

Responses

default
200

successful operation

GET /crm/v3/timeline/{appId}/event-templates
POST /crm/v3/timeline/{appId}/event-templates

Event templates define the general structure for a custom timeline event. This includes formatted copy for its heading and details, as well as any custom property definitions. The event could be something like viewing a video, registering for a webinar, or filling out a survey. A single app can define multiple event templates.

Event templates will be created for contacts by default, but they can be created for companies, tickets, and deals as well.

Each event template contains its own set of tokens and Markdown templates. These tokens can be associated with any CRM object properties via the objectPropertyName field to fully build out CRM objects.

You must create an event template before you can create events.

operationId: Templates_createEventTemplateForApp

Parameters

Name In Required Type Description
appId path required integer

The ID of the target app.

Request Body

required

The new event template definition.

application/json
schema TimelineEventTemplateCreateRequest
Property Type Required
name string required
tokens array required
name string required
type string required
label string required
options array optional
label string required
value string required
createdAt string optional
updatedAt string optional
objectPropertyName string optional
objectType string required
detailTemplate string optional
headerTemplate string optional

Responses

default
201

successful operation

POST /crm/v3/timeline/{appId}/event-templates
DELETE /crm/v3/timeline/{appId}/event-templates/{eventTemplateId}

This will delete the event template. All associated events will be removed from search results and the timeline UI.

This action can’t be undone, so it’s highly recommended that you stop using any associated events before deleting a template.

operationId: Templates_deleteEventTemplate

Parameters

Name In Required Type Description
eventTemplateId path required string

The event template ID.

appId path required integer

The ID of the target app.

Responses

default
204

No content

DELETE /crm/v3/timeline/{appId}/event-templates/{eventTemplateId}
GET /crm/v3/timeline/{appId}/event-templates/{eventTemplateId}

View the current state of a specific template and its tokens.

operationId: Templates_getSpecificEventTemplate

Parameters

Name In Required Type Description
eventTemplateId path required string

The event template ID.

appId path required integer

The ID of the target app.

Responses

default
200

successful operation

GET /crm/v3/timeline/{appId}/event-templates/{eventTemplateId}
PUT /crm/v3/timeline/{appId}/event-templates/{eventTemplateId}

Updates an existing template and its tokens. This is primarily used to update the headerTemplate/detailTemplate, and those changes will take effect for existing events.

You can also update or replace all the tokens in the template here instead of doing individual API calls on the /tokens endpoint.

operationId: Templates_updateEventTemplate

Parameters

Name In Required Type Description
eventTemplateId path required string

The event template ID.

appId path required integer

The ID of the target app.

Request Body

required

The updated event template definition.

application/json
schema TimelineEventTemplateUpdateRequest
Property Type Required
id string required
name string required
tokens array required
name string required
type string required
label string required
options array optional
label string required
value string required
createdAt string optional
updatedAt string optional
objectPropertyName string optional
detailTemplate string optional
headerTemplate string optional

Responses

default
200

successful operation

PUT /crm/v3/timeline/{appId}/event-templates/{eventTemplateId}

Tokens 3 endpoints

POST /crm/v3/timeline/{appId}/event-templates/{eventTemplateId}/tokens

Once you’ve defined an event template, it’s likely that you’ll want to define tokens for it as well. You can do this on the event template itself or update individual tokens here.

Event type tokens allow you to attach custom data to events displayed in a timeline or used for list segmentation.

You can also use objectPropertyName to associate any CRM object properties. This will allow you to fully build out CRM objects.

Token names should be unique across the template.

operationId: Tokens_addToEventTemplate

Parameters

Name In Required Type Description
eventTemplateId path required string

The event template ID.

appId path required integer

The ID of the target app.

Request Body

required

The new token definition.

application/json
schema TimelineEventTemplateToken
Property Type Required
name string required
type string required
label string required
options array optional
label string required
value string required
createdAt string optional
updatedAt string optional
objectPropertyName string optional

Responses

default
200

successful operation

POST /crm/v3/timeline/{appId}/event-templates/{eventTemplateId}/tokens
DELETE /crm/v3/timeline/{appId}/event-templates/{eventTemplateId}/tokens/{tokenName}

This will remove the token from an existing template. Existing events and CRM objects will still retain the token and its mapped object properties, but new ones will not.

The timeline will still display this property for older CRM objects if it’s still referenced in the template Markdown. New events will not.

Any lists or reports referencing deleted tokens will no longer return new contacts, but old ones will still exist in the lists.

operationId: Tokens_removeFromTemplate

Parameters

Name In Required Type Description
eventTemplateId path required string

The event template ID.

tokenName path required string

The token name.

appId path required integer

The ID of the target app.

Responses

default
204

No content

DELETE /crm/v3/timeline/{appId}/event-templates/{eventTemplateId}/tokens/{tokenName}
PUT /crm/v3/timeline/{appId}/event-templates/{eventTemplateId}/tokens/{tokenName}

This will update the existing token on an event template. Name and type can’t be changed on existing tokens.

operationId: Tokens_updateExistingTokenOnEventTemplate

Parameters

Name In Required Type Description
eventTemplateId path required string

The event template ID.

tokenName path required string

The token name.

appId path required integer

The ID of the target app.

Request Body

required

The updated token definition.

application/json
schema TimelineEventTemplateTokenUpdateRequest
Property Type Required
label string required
options array optional
label string required
value string required
objectPropertyName string optional

Responses

default
200

successful operation

PUT /crm/v3/timeline/{appId}/event-templates/{eventTemplateId}/tokens/{tokenName}